## org.biojava.bio.gui
Interface SymbolStyle

All Known Implementing Classes:
  DNAStyle, PlainStyle, SimpleSymbolStyle

    public interface SymbolStyle

The interface for things that say how to paint a symbol.

Given a symbol, this allows you to get the color to outline or fill the glyphs for rendering the symbol. This may be something as simple as colouring dots on a scatter-plot, or labeling a key, or it may be as complicated as sequence logos.

Author:
  Matthew Pocock

Method Summary
`Paint` `fillPaint(Symbol s)` Return the fill paint for a symbol.
`Paint` `outlinePaint(Symbol s)` Return the outline paint for a symbol.

Method Detail

### outlinePaint

    Paint outlinePaint(Symbol s)
                       throws IllegalSymbolException

  Return the outline paint for a symbol.

  Parameters:
    `s` - the symbol to outline
  Returns:
    the Paint to use
  Throws:
    `IllegalSymbolException` - if this SymbolStyle can not handle the symbol

### fillPaint

    Paint fillPaint(Symbol s)
                    throws IllegalSymbolException

  Return the fill paint for a symbol.

  Parameters:
    `s` - the symbol to fill
  Returns:
    the Paint to use
  Throws:
    `IllegalSymbolException` - if this SymbolStyle can not handle the symbol